Bug 268483 - Upgrade Jsch to v0.1.54
Upgrade Jsch to v0.1.54
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: libs
Dev
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@ide
cndreq, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 12:03 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:11 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (6.30 KB, patch)
2016-10-12 12:23 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-10-12 12:03:03 UTC
Jsch v0.1.54 contains a critical fix of a bug that led to total IDE hangup.
The bug is described here: https://sourceforge.net/p/jsch/bugs/101/
So we need to upgrade to 0.1.54
Comment 1 Vladimir Kvashin 2016-10-12 12:05:02 UTC
We need this critical fix in 8.2 patch
Comment 2 Vladimir Kvashin 2016-10-12 12:23:01 UTC
Created attachment 162467 [details]
Proposed patch
Comment 3 Vladimir Kvashin 2016-10-12 15:34:58 UTC
I've pushed fix into cnd-main:
http://hg.netbeans.org/cnd-main/rev/b0ad2654c3a4
Comment 4 Quality Engineering 2016-10-14 01:58:25 UTC
Integrated into 'main-silver', will be available in build *201610140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b0ad2654c3a4
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268483 - Upgrade Jsch to v0.1.54


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo